%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-yamlish
Version:        0.10
Release:        1%{?dist}
Summary:        Python implementation of YAMLish

License:        MIT
URL:            http://luther.ceplovi.cz/git/yamlish.git/
Source0:        http://luther.ceplovi.cz/git/yamlish.git/snapshot/yamlish-%{version}.tar.gz

BuildArch:      noarch

Requires:       PyYAML
BuildRequires:  PyYAML
BuildRequires:  python2-devel python-setuptools

%description
Python implementation of YAMLish

%prep
%setup -qn yamlish-%{version}

%build
%{__python2} setup.py build

%check
%{__python2} setup.py test

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README.txt
%{python_sitelib}/yamlish.*
%{python_sitelib}/*.egg-info

%changelog
* Mon Apr 14 2014 Tim Flink <tflink@fedoraproject.org> - 0.10.0-1
- initial packaging
